#include <CORBA-SMALL.h>

int main( int argc, char *argv[] )
{
    // ORB initialization
    CORBA::ORB_var orb = CORBA::ORB_init( argc, argv, "mico-local-orb" );
    CORBA::BOA_var boa = orb->BOA_init (argc, argv, "mico-local-boa");

    assert (argc == 3);
    CORBA::ORB::ObjectTag_var tag = CORBA::ORB::string_to_tag (argv[2]);

    CORBA::Object_var lobj = orb->bind ("IDL:Server:1.0", tag.in(), argv[1]);
    assert (!CORBA::is_nil (lobj));
    CORBA::Object_var robj = orb->bind ("IDL:ServerFilter:1.0", tag.in(), argv[1]);
    assert (!CORBA::is_nil (robj));

    return 0;
}
