#include <CORBA-SMALL.h>
#include <iostream.h>
#include "server.h"

int main( int argc, char *argv[] )
{
    // ORB initialization
    CORBA::ORB_var orb = CORBA::ORB_init( argc, argv, "mico-local-orb" );
    CORBA::BOA_var boa = orb->BOA_init (argc, argv, "mico-local-boa");

    struct timeval t1,t0;
	long diff;
		
    // client side
    assert (argc == 3);
    CORBA::ORB::ObjectTag_var tag = CORBA::ORB::string_to_tag ("local");

    CORBA::Object_var obj = orb->bind ("IDL:Server:1.0", tag.in(), argv[1]);
    assert (!CORBA::is_nil (obj));
    Server_var client = Server::_narrow( obj );

	int arg=0;
	sscanf( argv[2], "%d", &arg );
	CORBA::Short result = client->test( arg );
	cout << "Result = " << result << "\n" << flush;
	
    return 0;
}
