%{
#include "fidlparser.h"

extern FILE* fp1;
%}

letter [a-zA-Z]
digit  [0-9]
us _
id     ({letter}|{us})({letter}|{us}|{digit})*



%%

[ \t\n]+	{}		/* ignore white spaces */

"#include".*\n   	{ strcpy(yylval.string, yytext); return INCLUDE; } 	/* ignore all include statements */

interface   { strcpy(yylval.string,yytext); return INTERFACE; }

Filterable	{return FILTERABLE;}

{id}		{ strcpy(yylval.string,yytext); return ID; }

.			{return (yytext[0]);}  /* { } , ; : */

%%

