/*
 *  Filter Object Framework for MICO
 *	Pranav Nabar & Amit Padalkar
 *	8 Jan 2002
 */

#include <iostream>

#include "fconfig.h"
#include "lexer.h"

int main(int argc, char *argv[])
{
	try
	{
		Config config( argc, argv );
		config.parse();
		cout << "Configuration Done.\n";
	}
	catch(ConfigError)
	{
		cerr << "Configuration Error.\n";
	}
	catch(...)
	{
		cerr << "Unknown Error.\n";
	}
	
	return 0;
}

